Things to learn:

JS hard parts UI dev	9:37:00	4:17:00
Intermediate React v5	6:06:00.
React and TS pt 2	4:31:00
JS hard parts v2	6:42:00
Hard Parts functional JS	4:54:00
Web Auth APIs	5:04:00


Testing:

https://frontendmasters.com/courses/cypress/

Also:

TS and react:
- https://react.dev/learn/typescript
- https://react-typescript-cheatsheet.netlify.app/docs/basic/getting-started/default_props

React hooks:

- https://react.dev/reference/react


Just read and practice JS:

- Currying
- Composition
-
